Results 1 to 9 of 9

Thread: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

  1. #1
    Join Date
    Aug 2011
    Location
    Manchester, England
    Posts
    46

    Default Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    I'm trying to install Tortoise Hg which a front end to Mercurial which is a software version control system.

    On Mageia, I simply select Tortoise Hg in the software centre and it automatically installs the appropriate version of Mercurial and it all works perfectly.

    SuSE doesn't even seem to have Tortoise Hg in my repositories, but a web search shows you can do it with this one-click thing. (I really don't understand why so much stuff isn't in SuSE repositories, this is one area Mageia and Mandriva is vastly superior to SuSE. I would expect the exact opposite.) If I try and install from one click it adds some repositories (I think) then tells me, says I need version 2.7 or above of Mercurial.

    Anyway, am I missing some vital piece of info here? Should Tortoise be in a repository? Am I trying to install the wrong one-click Tortoise Hg version maybe? Do I need to enable a shed load more repositories somehow? Even more confusingly, there seems to be two different methods of installing software (two software repository programs - Apper and Install/Remove software). Which one should I use?

    Many thanks.

    Yours confusedly!

  2. #2
    Join Date
    Aug 2011
    Location
    Manchester, England
    Posts
    46

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    Even more confusingly, I decided to install Toirtoise Hg, the nautilus plug in and the incorrect version of Mercurial to see whether it would work anyway and although Add/remove software say it has installed, toirtoise is nowhere to be found, neither is Nautilus.

    I'm running KDE btw.

    Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,261

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    Well, from some you write I deduce you use openSUSE (and KDE). Can you please confirm that it is openSUSE (and not SUSE Linux Enterprice, the other possibility when you use the obselete name SuSE) and wen yes, which version of it?

    And yes, there are several ways to manage software (as mostly on Linux, there is choice). Traditional there is either YaST > Software for the GUI, or zypper from the CLI. Because not all distros have such a nice tool, desktop designers decided that they would make an application that hooks into the different software managemet methods of the different distros to present a common interface. That is PackageKit and what you see from it in KDE is Apper.
    Henk van Velden

  4. #4
    Join Date
    Aug 2011
    Location
    Manchester, England
    Posts
    46

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    Yes, I'm on Open SuSE, I wouldn't be posting on this forum otherwise. Yed, I'm using KDE (as stated in my additional post).

    I realise there is the CLI tool, zypper.

    Is Apper the front end for zypper? I had assumed that YaST was, but maybe I'm wrong.

    I'm completely happy and au fait with CLI install. If I know exactly what I am installing with Mageia I always go to a konsole and type like:

    urpmi application_name

    Sometimes, when you're not sure of the application name, or it has some tortuously long name it's easier to use the GUI.

    On Mageia there's a very intuitive window where all possible repositories come up and you tick which ones to use. On SuSE there seems to be a zillion repositories and you can only add them as you go alone when you find one of these one-click options?

    All this, though, is slightly tangential as previously, I've just done the one-click thing from the web site and stuff has installed, despite it not being in the repositories. My main concern, really, is how to install Tortoise and Mercurial as the two available versions seem to be at loggerheads with each other.

    Thanks

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,261

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    Quote Originally Posted by DiBosco View Post
    Yes, I'm on Open SuSE, I wouldn't be posting on this forum otherwise. Yed, I'm using KDE (as stated in my additional post).
    Ten minutes ago there was another thread started by someone talking about SuSE. He defenitely is an SLE user. So the behaviour is not uncommon. And while you seem still not be able to type openSUSE, the confusion may continue.
    Quote Originally Posted by DiBosco View Post
    I realise there is the CLI tool, zypper.

    Is Apper the front end for zypper? I had assumed that YaST was, but maybe I'm wrong.
    All three are front ends to a the same library. And when you like programming, you could create a fourth one. Use what you like most (personaly I have PackageKit nor Apper installed on the systems I manage).
    Henk van Velden

  6. #6
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    @op - did you install from this repo ?
    devel:tools:scm
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  7. #7
    Join Date
    Aug 2011
    Location
    Manchester, England
    Posts
    46

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    I'm not sure what repository I have installed from. If I look in the Technical Data tab for Toirtoise Hg in Control/Remove Software I see this:

    Code:
    Version:
    2.9.1-1.18
    Build Time:
    Sun 24 Nov 2013 21:53:40 GMT
    Package Group:
    Development/Tools/Version Control
    License:
    GPL-2.0
    Installed Size:
    14.6 MiB
    Download Size:
    3.9 MiB
    Distribution:
    
    Vendor:
    obs://build.opensuse.org/devel:tools
    Packager:
    
    Architecture:
    noarch
    Build Host:
    
    URL:
    http://tortoisehg.bitbucket.org/
    Source Package:
    tortoisehg-2.9.1-1.18
    Media No.:
    0
    Authors:
    Is that any help? If not, how do I know? Thanks.

    @Henk, I feel you're being pedantic, I've said it's Open SuSE, there's really no need to continually type it? Or is this some Monty Python style People's Front of Judea exercise? Is there such bitter feeling towards the splitters that you have to continual broadcast that you're nothing to do with them?

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,261

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, but that doesn't seem to exist

    Quote Originally Posted by DiBosco View Post
    @Henk, I feel you're being pedantic,
    Your feeling is correct.
    Henk van Velden

  9. #9
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Toirtoise Hg asking for version 2.7 or above of Mercurial, butthat doesn't seem to exist

    DiBosco wrote:
    >
    > I'm not sure what repository I have installed from. If I look in the
    > Technical Data tab for Toirtoise Hg in Control/Remove Software I see
    > this:
    >
    >
    > Code:
    > --------------------
    >
    > Version:
    > 2.9.1-1.18
    > Build Time:
    > Sun 24 Nov 2013 21:53:40 GMT
    > Package Group:
    > Development/Tools/Version Control
    > License:
    > GPL-2.0
    > Installed Size:
    > 14.6 MiB
    > Download Size:
    > 3.9 MiB
    > Distribution:
    >
    > Vendor:
    > obs://build.opensuse.org/devel:tools
    > Packager:
    >
    > Architecture:
    > noarch
    > Build Host:
    >
    > URL:
    > http://tortoisehg.bitbucket.org/
    > Source Package:
    > tortoisehg-2.9.1-1.18
    > Media No.:
    > 0
    > Authors:
    >
    >
    > --------------------
    >
    >
    > Is that any help? If not, how do I know? Thanks.
    >
    > @Henk, I feel you're being pedantic, I've said it's Open SuSE, there's
    > really no need to continually type it? Or is this some Monty Python
    > style People's Front of Judea exercise? Is there such bitter feeling
    > towards the splitters that you have to continual broadcast that you're
    > nothing to do with them?
    >
    >

    I installed from the repo i menioned earlier and the applicatin could be
    easily started using the command
    Code:
    thg
    proof:-


    --
    GNOME 3.10.1
    openSUSE 13.1 (Bottle) (x86_64) 64-bit
    Kernel Linux 3.11.6-4-desktop

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •